=== src/cmd/godoc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc

TARG=godoc
GOFILES=\
	codewalk.go\
	dirtrees.go\
	filesystem.go\
	format.go\
	godoc.go\
	httpzip.go\
	index.go\
	main.go\
	mapping.go\
	parser.go\
	snippet.go\
	spec.go\
	throttle.go\
	utils.go\
	zip.go\

include ../../Make.cmd
