=== debian/changelog ===
golang-weekly (2011.09.21-1) unstable; urgency=low

  * Imported Upstream version 2011.09.21
  * Refresh patches to the new release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Oct 2011 09:38:08 +0200

golang-weekly (2011.09.07-1) unstable; urgency=low

  * New upstream version 2011.09.07
  * Save upstream VERSION to the upstream archive
  * Use GOVERSION as generated by src/version.bash on hg archive time
  * Add support for goinstall dashboard debconf question in the Debian
    packaging (now it needs to Go counterpart)
  * Read goinstall dashboard option from debian configuration file
    (Courtesy of Andrew Gerrand)
  * Update patches to the new release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Sep 2011 12:05:36 +0200

golang-weekly (2011.08.10-1) unstable; urgency=low

  * Imported Upstream version 2011.08.10
  * Refresh patches for new weekly release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Aug 2011 15:08:02 +0200

golang-weekly (2011.07.29-1) unstable; urgency=low

  * Imported Upstream version 2011.07.29

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Aug 2011 17:27:27 +0200

golang-weekly (2011.07.07-1) unstable; urgency=low

  * Imported Upstream version 2011.07.07
  * Update patches to a new weekly release
  * Update version.bash script to get Go version number from Debian
    changelog and not from the hg repository

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Jul 2011 09:51:50 +0200

golang-weekly (2011.06.23-1) unstable; urgency=low

  * Imported Upstream version 2011.06.23
  * Update patches to a new weekly release
  * Don't use goinstall.log at all, upstream has changes and the
    defaultTree variable is not accessible any more

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 17:07:34 +0200

golang-weekly (2011.06.09-2) unstable; urgency=low

  * Add extended description about Go being experimental and that the
    language can change between weekly releases

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Jun 2011 21:50:55 +0200

golang-weekly (2011.06.09-1) unstable; urgency=low

  * Imported Upstream version 2011.06.09
  * Refresh patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2011 11:01:38 +0200

golang-weekly (2011.06.02-1) unstable; urgency=low

  * Imported Upstream version 2011.06.02
  * Fix "the Google's Go implementation" in extended description
    (Closes: #627814)
  * Update Vcs-* links
  * Update patches to a new weekly release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Jun 2011 11:36:57 +0200

golang-weekly (2011.05.22-2) unstable; urgency=low

  * Import slightly modified patch to be more clear about $GOPATH
    installs for non-root users and set correct location of logfile
    for non $GOROOT installs
  * Import patch to not update standard packages from goinstall
  * Remove don't install deps patch from goinstall; deprecated by
    goinstall support for installing to $GOPATH + don't update
    standard packages patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2011 10:36:32 +0200

golang-weekly (2011.05.22-1) unstable; urgency=low

  * Imported Upstream version 2011.05.22
  * Bump standards version to 3.9.2
  * Refreshed patches for new weekly release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2011 09:47:11 +0200

golang-weekly (2011.04.27-4) unstable; urgency=low

  [ Florian Weimer ]
  * golang-tools: install gofix binary

  [ Ondřej Surý ]
  * Add ${misc:Depends} to golang-weekly meta-package
  * Add lintian-overrides for gofix

 -- Ondřej Surý <ondrej@debian.org>  Sat, 07 May 2011 21:02:33 +0200

golang-weekly (2011.04.27-3) unstable; urgency=low

  * Spin-off golang-weekly to weekly-* branches
  * Rename weekly package to golang-weekly-*
  * Create a new golang-weekly metapackage
  * Add a note about weekly releases to package description
  * Remove kate and vim syntax highlighting from weekly packages

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2011 15:58:53 +0200

golang (1:57-1) unstable; urgency=low

  * Imported Upstream version r57
  * Bumped epoch version to 1, to convert from date based versions
    to release number based version
  * Allow release to migrate to testing (Closes: #624408)
  * Add kate and vim syntax highlighting (Closes: #624544)
  * Add -dbg package with debugging symbols

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2011 01:20:07 +0200

golang (2011.04.27-2) unstable; urgency=low

  * Fix yet another build failure on kfreebsd (use linux userspace)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Apr 2011 16:22:47 +0200

golang (2011.04.27-1) unstable; urgency=low

  * Imported Upstream version 2011.04.27
  * Update debian/rules to allow pulling weekly upstream releases
  * Don't remove RUNPATH from binaries; fixed upstream (golang#1527)
  * Set GOHOSTOS and GOHOSTARCH to match dpkg-architecture variables
  * Add support for kfreebsd-i386, kfreebsd-amd64, armel and armhf
    architectures
    + 006-fix_kfreebsd_build.patch:
      - Add GNU/KFreeBSD support by replacing all uname calls by $(GOOS)
    + 007-use_native_dynamic_linker_on_kfreebsd.patch:
      - Use native kfreebsd dynamic linker (/lib/ld-*.so.1)
  * Add information about available architectures (Closes: #623877)
  * Don't strip gotest
  * Add Depends: golang-go to golang-tools
  * Add better support for armhf

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Apr 2011 16:14:39 +0200

golang (2011.04.13-1) unstable; urgency=low

  [ Florian Weimer ]
  * Delete bin directory in clean target
  * Enable parallel build
  * golang-src: install source files directly
  * Use proper symlink targets for architecture-independent toolchain
    names
  * Emacs mode: indent keys in struct literals properly

  [ Ondřej Surý ]
  * Imported Upstream weekly version 2011.04.13
  * Update patches to new weekly release
  * Add lintian-override for gotest binary

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Apr 2011 09:59:28 +0200

golang (2011.03.07.1-1) unstable; urgency=low

  * Imported Upstream version 2011.03.07.1

