## golang-weekly 2012.01.27

=== doc/Makefile ===
--- 
+++ 
@@ -8,11 +8,17 @@
 GOFILES=\
 	tmpltohtml.go\
 
-go_tutorial.html: go_tutorial.tmpl tmpltohtml
-	makehtml go_tutorial.tmpl
+HTML=\
+	articles/defer_panic_recover.html\
+	articles/error_handling.html\
+	articles/slices_usage_and_internals.html\
+	effective_go.html\
+	go1.html\
+	go_tutorial.html\
 
-effective_go.html: effective_go.tmpl tmpltohtml
-	makehtml effective_go.tmpl
+all: tmpltohtml $(HTML)
 
+%.html: %.tmpl tmpltohtml
+	./makehtml $*.tmpl
 
 include ../src/Make.cmd
