=== misc/cgo/test/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	issue1222.go\
 	issue1328.go\
 	issue1560.go\
+	issue2462.go\
 	duplicate_symbol.go\
 
 CGO_OFILES=\
@@ -24,4 +25,21 @@
 OFILES=\
 	runtime.$O\
 
+ifeq ($(GOOS),windows)
+GCCVERSION=$(shell gcc -dumpversion)
+ifeq ($(GOARCH),386)
+GCCLIBDIR=/mingw/lib/gcc/mingw32/$(GCCVERSION)
+CHKSTK=_chkstk.o
+else
+GCCLIBDIR=/mingw/lib/gcc/x86_64-w64-mingw32/$(GCCVERSION)
+CHKSTK=_chkstk_ms.o
+endif
+
+CGOFILES+=sleep_windows.go
+CGO_OFILES+=$(CHKSTK)
+
+$(CHKSTK):
+	ar -x "$(GCCLIBDIR)/libgcc.a" $@
+endif
+
 include ../../../src/Make.pkg
