=== debian/changelog ===
golang-weekly (2012.01.27-2) unstable; urgency=low

  * Don't double install ebnflint (Closes: #658062)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 Jan 2012 09:01:37 +0100

golang-weekly (2012.01.27-1) unstable; urgency=low

  * Imported Upstream version 2012.01.27 (Closes: #656412)
  * Fix cut&paste error in golang-weekly-tools description
    (Closes: #655117)
  * Refresh patches for a new release
  * Use new syntax in IPv6 patch
  * Install new tools and remove the removed
  * debconf-gettextize the package
  * Add new lintian overrides for new tools

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jan 2012 16:19:14 +0100
