=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-google/golang.git
 Vcs-Git: git://git.debian.org/pkg-google/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl
+Build-Depends-Indep: po-debconf
 Standards-Version: 3.9.2
 Homepage: http://golang.org/
